# Generated from schleuder-gitlab-ticketing-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name schleuder-gitlab-ticketing

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Schleuder Gitlab Ticketing is a filter plugin for schleuder to hook a list into a gitlab issue tracker
License: GPL-3.0
URL: https://schleuder.org/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1.0
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Schleuder Gitlab Ticketing combines a schleuder list with the issue tracker of
a gitlab project and operates as a state tracker of threads on the list. This
allows one to keep an overview on the state of various requests on a help desk
powered by schleuder.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.0-1
- Initial package
